## PhoshSplash

PhoshSplash — A splash screen

## Functions

GtkWidget * | phosh_splash_new ()

## Properties

GDesktopAppInfo * | app | Read / Write / Construct Only
gboolean | prefer-dark | Read / Write / Construct Only

## Signals

void | closed | Run Last

## Types and Values

#define | PHOSH_TYPE_SPLASH
struct | PhoshSplashClass
| PhoshSplash

## Object Hierarchy

        GObject
        ╰── GInitiallyUnowned
            ╰── GtkWidget
                ╰── GtkContainer
                    ╰── GtkBin
                        ╰── GtkWindow
                            ╰── PhoshLayerSurface
                                ╰── PhoshSplash

## Implemented Interfaces

PhoshSplash implements AtkImplementorIface and GtkBuildable.

## Description

The PhoshSplash is a splash screen used to indicate application startup.

## Functions

### phosh_splash_new ()

    GtkWidget *
    phosh_splash_new (GDesktopAppInfo *info,
                      gboolean prefer_dark);

## Types and Values

### PHOSH_TYPE_SPLASH

    #define PHOSH_TYPE_SPLASH (phosh_splash_get_type ())

### struct PhoshSplashClass

    struct PhoshSplashClass {
      PhoshLayerSurfaceClass parent_class;
    };

#### Members

### PhoshSplash

    typedef struct _PhoshSplash PhoshSplash;

## Property Details

### The `“app”` property

      “app”                      GDesktopAppInfo *

The appinfo this splash is for

Owner: PhoshSplash

Flags: Read / Write / Construct Only

### The `“prefer-dark”` property

      “prefer-dark”              gboolean

Whether the splash should prefer dark theming

Owner: PhoshSplash

Flags: Read / Write / Construct Only

Default value: FALSE

## Signal Details

### The `“closed”` signal

    void
    user_function (PhoshSplash *phoshsplash,
                   gpointer     user_data)

Flags: Run Last